locked
Using VS 2008 to build WinCE application?? RRS feed

  • Question

  • i am trying to use vs 2008 to develop a Win CE application. The device is using WinCE 4.2. I tried to build up a simple console application and debug it with standard sdk(the solution platform) and  Windows CEs the (target device ) but it showed the error message in the 1st image. Photobucket

     






    Another thing is i tried to build up another simple application by using the MFC smartdevice application. It showed "The specified program requires a newer version of windows". Is this because the Standard Sdk is too new for WinCE 4.2? How to solve this? Can i build WinCE 4.2 application by using VS 2008 on desktop?


    Wednesday, April 8, 2009 9:46 AM

Answers

  • Visual Studio 2008 does not support targeting CE 4.2 projects. See more here
    For CE 4.2 projects you need to use Embedded Visual C 4.0 SP4, which is a free download from microsoft.com
    Alex Feinman. MVP .NET Compact Framework
    • Marked as answer by warrentang Monday, April 13, 2009 2:50 AM
    Friday, April 10, 2009 12:18 AM